package eu.lucazanini.service;

import android.app.Service;
import android.content.Intent;
import android.os.Binder;
import android.os.Handler;
import android.os.IBinder;
import android.util.Log;
import android.widget.TextView;

public class MyBoundService extends Service {

    /**
     * Class used for the client Binder. Because we know this service always
     * runs in the same process as its clients, we don't need to deal with IPC.
     */
    public class LocalBinder extends Binder {
	MyBoundService getService() {
	    // Return this instance of LocalService so clients can call public
	    // methods
	    return MyBoundService.this;
	}
    }

    // Binder given to clients
    private final IBinder mBinder = new LocalBinder();

    private final String TAG = this.getClass().getName();

    @Override
    public IBinder onBind(Intent intent) {
	Log.d(TAG, "onBind");
	return mBinder;
    }

    @Override
    public void onCreate() {
	super.onCreate();
	Log.d(TAG, "onCreate");
    }

    @Override
    public void onDestroy() {
	super.onDestroy();
	Log.d(TAG, "onDestroy");
    }

    public void test(TextView tv, Handler handler) {
	Utils.test(TAG, handler);
    }

}
