package eu.lucazanini.service;

import android.app.Service;
import android.content.Intent;
import android.os.Bundle;
import android.os.IBinder;
import android.util.Log;

public class MyStartedService extends Service {

    private final String TAG = this.getClass().getName();

    @Override
    public IBinder onBind(Intent intent) {
	Log.d(TAG, "onBind");
	return null;
    }

    @Override
    public void onCreate() {
	super.onCreate();
	Log.d(TAG, "onCreate");
    }

    @Override
    public void onDestroy() {
	super.onDestroy();
	Log.d(TAG, "onDestroy");
    }

    @Override
    public int onStartCommand(Intent intent, int flags, int startId) {
	Log.d(TAG, "onStartCommand");

	Utils.test(TAG);

	Bundle extras;
	if (intent != null) {
	    extras = intent.getExtras();
	} else {
	    extras = null;
	}

	if (extras != null && extras.getBoolean("onDestroy")) {
	    stopSelf();
	    Log.d(TAG, "stopping service");
	} else {
	    Log.d(TAG, "no stopping service");
	}

	if (extras != null
		&& extras.getString("return").equals("START_NOT_STICKY")) {
	    Log.d(TAG, "START_NOT_STICKY");
	    return Service.START_NOT_STICKY;
	} else {
	    Log.d(TAG, "START_STICKY");
	    return Service.START_STICKY;
	}

    }

}
